al_findnext(3)

NAME
al_findnext - Finds the next file in a search started by al_findfirst(). Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int al_findnext(struct al_ffblk *info);

DESCRIPTION
This finds the next file in a search started by al_findfirst(). Example:
   if (al_findfirst("*.pcx", &info, 0) != 0)
      return;

   do {
      /* Do something useful here with info.name. */
   } while (al_findnext(&info) == 0);

   al_findclose(&info);

RETURN VALUE
Returns zero if a match is found, non-zero if none is found or if an error occurred and, in the latter case, sets errno accordingly.

SEE ALSO
al_findfirst(3), al_findclose(3)